﻿using Microsoft.AspNetCore.Components;
using ReportingServices.Blazor.Services;
using ReportingServices.Shared.Blazor.Models.ProductionReport;

namespace ReportingServices.Blazor.Pages.ProductionReports;

public partial class HoldLotReport
{
    public List<HoldLot> HoldLots { get; set; }

    [Inject]
    private ScrapeDBService Db { get; set; }

    protected override async Task OnInitializedAsync()
    {
        await base.OnInitializedAsync();

        HoldLots = await Db.GetHoldLotsAsync();
    }
}
