﻿using Microsoft.AspNetCore.Components;
using MudBlazor;
using ReportingServices.Blazor.Components;

namespace ReportingServices.Blazor.Pages.PlanningReports;

public partial class PlanningReports
{
    public DateTime StartDate { get; set; }
    public DateTime EndDate { get; set; }

    [Inject]
    public IDialogService Dialog { get; set; }

    private void OpenDialog() => Dialog.Show<DatePickerModal>("Date Picker", new DialogOptions());
}
