using System.Text.Json;

namespace ReportingServices.UI.Models;

public record AppSettings(string BaseAPIAddress,
                          string BuildNumber,
                          string Company,
                          string DailyReportFilePath,
                          string GitCommitSeven,
                          string LoggingDirectory,
                          bool IsDevelopment,
                          bool IsStaging,
                          string MonAResource,
                          string MonASite,
                          string SLLFilePath,
                          string ToolStateOwnerFilePath)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}